scan_new.c File Reference
`#include "config.h"`
`#include <glib.h>`
`#include "quvi.h"`
`#include "_quvi_s.h"`
`#include "_quvi_net_s.h"`
`#include "_quvi_scan_s.h"`
`#include "net/handle.h"`
`#include "net/fetch.h"`
`#include "lua/exec.h"`
`#include "misc/scan_new.h"`

## Functions

gint | c_reset (_quvi_t)
quvi_scan_t | quvi_scan_new (quvi_t handle, const char *url)
| Scan URL contents for supported embedded media URLs.

## Function Documentation

## quvi_scan_new()

quvi_scan_t quvi_scan_new | ( | quvi_t | handle,
|  | const char * | url )

Scan URL contents for supported embedded media URLs.

Returns
  New handle, quvi_scan_free it when done using it

Note
  - Calling this function restores the current sess_handle to its initial state (cookies cleared, custom headers cleared, default user-agent string restored, ...)
  - Use quvi_ok for checking if an error occurred

See also
  scan_media